Delete foreign objects on removal from list?

10/12/2018 09:37 PM - Alexander Blum

Status: Erledigt Start date:  

Priority: Normal Due date:  

Assignee: Alexander Blum % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

If a webuser creates a foreign object (e.g. an artist member), saves it, edits it again and removes that created entry from the list (e.g.

artist member list), the foreign object gets orphaned (but might be chosen from the source list again). Should orphaned foreign

objects be deleted?

Related issues:

Related to collecting_society - Datenbank #661: Delete foreign objects, if th... Neu

History

#1 - 10/13/2018 10:54 AM - Meik Michalke

- Status changed from Neu to Vermeintlich Gelöst

- Assignee set to Alexander Blum

yes. e.g., DSGVO.

there should only be a short delay of maybe a few hours, just in case it was removed accidently.

#2 - 10/14/2018 04:30 AM - Alexander Blum

- Status changed from Vermeintlich Gelöst to Erledigt

- % Done changed from 0 to 100

Result of discussion with meik: Also the history should be deleted.

#3 - 10/14/2018 04:32 AM - Alexander Blum

- Related to Datenbank #661: Delete foreign objects, if they get orphaned added

#4 - 10/08/2019 03:52 PM - Alexander Blum

- Project changed from repertoire to collecting_society
